from django.conf.urls import patterns, url

from assessments import views
from farm_group.views import (
    AssessmentDetailView, AssessmentShareWithAuditorView, AssessmentShareWithCoordinatorView,
    AssessmentDocumentReviewDoneView, ConfirmJudgementView, AssessmentListView, AssessmentQuestionnaireView,
    AssessmentReviewView, AssessmentQuestionnaireEditView
)

urlpatterns = patterns(
    'assessments.views',

    url(
        r"^$",
        views.home,
        name="my_assessments"
    ),
    url(
        r"^list$",
        AssessmentListView.as_view(),
        name="my_assessment_list"
    ),
    url(
        r"^list/closed$",
        AssessmentListView.as_view(closed=True),
        name="my_assessment_list_closed"
    ),
    url(
        r"^new$",
        views.assessment_create_start,
        name="my_assessment_create"
    ),
    url(
        r'^new/(?P<assessment_type_code>.+)$',
        views.assessment_create_oftype,
        name="my_assessment_create_oftype"
    ),
    url(
        r"^(?P<assessment_pk>.*)/delete$",
        views.assessment_delete,
        name="my_assessment_delete"
    ),
    url(
        r"^(?P<assessment_pk>.*)/detail$",
        AssessmentDetailView.as_view(),
        name="my_assessment_detail"
    ),
        url(
        r"^(?P<assessment_pk>.*)/assessment-reuse-status",
        AssessmentDetailView.as_view(),
        name="my_assessment_reuse_status"
    ),
    url(
        r"^(?P<assessment_pk>.*)/products$",
        views.assessment_products,
        name="my_assessment_products"
    ),
    url(
        r'^(?P<assessment_pk>.+)/questionnaires/(?P<questionnaire_pk>.+)/edit$',
        AssessmentQuestionnaireEditView.as_view(),
        name='questionnaire_edit'
    ),
    url(
        r"^(?P<assessment_pk>.*)/sharing$",
        views.assessment_sharing,
        name="my_assessment_sharing"
    ),
    url(
        r"^(?P<assessment_pk>.*)/finished$",
        views.assessment_finished,
        name="my_assessment_finished"
    ),
    url(
        r"^(?P<assessment_pk>.*)/report$",
        views.assessment_report_view,
        name="my_assessment_report"
    ),
    url(
        r"^(?P<assessment_pk>.*)/documents$",
        views.assessment_documents,
        name="my_assessment_documents"
    ),
    url(
        r"^(?P<assessment_pk>.*)/check$",
        views.assessment_check,
        name="my_assessment_check"
    ),
    url(
        r"^(?P<assessment_pk>.*)/questionnaires$",
        AssessmentQuestionnaireView.as_view(),
        name="my_assessment_questionnaires"
    ),
    url(
        r"^(?P<assessment_pk>.*)/review$",
        AssessmentReviewView.as_view(),
        name="my_assessment_review"
    ),
    url(
        r"^(?P<assessment_pk>.*)/state$",
        views.assessment_state,
        name="my_assessment_state"
    ),
    url(
        r"^(?P<assessment_pk>.*)/reopen$",
        views.assessment_reopen,
        name="my_assessment_reopen"
    ),
    url(
        r"^(?P<assessment_pk>.*)/results$",
        views.assessment_results,
        name="my_assessment_results",
    ),
    url(
        r"^(?P<assessment_pk>.*)/sharing$",
        views.assessment_switch,
        kwargs={"page": "assessment_sharing"},
        name="my_assessment_sharing",
    ),
    url(
        r"^(?P<assessment_pk>.*)/close$",
        views.assessment_switch,
        kwargs={"page": "assessment_close"},
        name="my_assessment_close",
    ),
    url(
        r"^(?P<assessment_pk>.*)/open$",
        views.assessment_switch,
        kwargs={"page": "assessment_open"},
        name="my_assessment_open",
    ),
    url(
        r"^(?P<assessment_pk>.*)/export/csv$",
        views.assessment_switch,
        kwargs={"page": "export_csv"},
        name="my_assessment_export_csv",
    ),
    url(
        r'^(?P<assessment_pk>.*)/logs/(?P<logs_type>.+)/$',
        views.assessment_logs,
        name='my_assessment_log'
    ),
    url(
        r"^(?P<assessment_pk>.*)/share-with-auditor$",
        AssessmentShareWithAuditorView.as_view(),
        name="my_assessment_share_with_auditor"
    ),
    url(
        r"^(?P<assessment_pk>.*)/share-with-coordinator$",
        AssessmentShareWithCoordinatorView.as_view(),
        name="my_assessment_share_with_coordinator"
    ),
    url(
        r"^(?P<assessment_pk>.*)/doc-review-done$",
        AssessmentDocumentReviewDoneView.as_view(),
        name="my_assessment_doc_review_done"
    ),
    url(
        r"^(?P<assessment_pk>.*)/confirm-judgement$",
        ConfirmJudgementView.as_view(),
        name="my_assessment_confirm_judgement"
    ),
)
